<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: BLEEddystoneURL Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classBLEEddystoneURL-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BLEEddystoneURL Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Representation of a beacon. See:  
 <a href="classBLEEddystoneURL.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="BLEEddystoneURL_8h_source.html">BLEEddystoneURL.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7b070f393a38f8120559632b43d98682"><td class="memItemLeft" align="right" valign="top"><a id="a7b070f393a38f8120559632b43d98682"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getData</b> ()</td></tr>
<tr class="separator:a7b070f393a38f8120559632b43d98682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af46e604c45fc54ef99cf30fa8a4621a9"><td class="memItemLeft" align="right" valign="top"><a id="af46e604c45fc54ef99cf30fa8a4621a9"></a>
BLEUUID&#160;</td><td class="memItemRight" valign="bottom"><b>getUUID</b> ()</td></tr>
<tr class="separator:af46e604c45fc54ef99cf30fa8a4621a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63f8e0e62a9d331ab9ac42fdc6808c33"><td class="memItemLeft" align="right" valign="top"><a id="a63f8e0e62a9d331ab9ac42fdc6808c33"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><b>getPower</b> ()</td></tr>
<tr class="separator:a63f8e0e62a9d331ab9ac42fdc6808c33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327aacac09459f4ee565bb47c4771ae6"><td class="memItemLeft" align="right" valign="top"><a id="a327aacac09459f4ee565bb47c4771ae6"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getURL</b> ()</td></tr>
<tr class="separator:a327aacac09459f4ee565bb47c4771ae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6c5f654570183a4c9d02c04a9a3d8d"><td class="memItemLeft" align="right" valign="top"><a id="a6f6c5f654570183a4c9d02c04a9a3d8d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getDecodedURL</b> ()</td></tr>
<tr class="separator:a6f6c5f654570183a4c9d02c04a9a3d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a025a60e04ae0248c74664466f0f2d3d6"><td class="memItemLeft" align="right" valign="top"><a id="a025a60e04ae0248c74664466f0f2d3d6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setData</b> (std::string data)</td></tr>
<tr class="separator:a025a60e04ae0248c74664466f0f2d3d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c05e816a38f73069d62a4ad55ff05e"><td class="memItemLeft" align="right" valign="top"><a id="a32c05e816a38f73069d62a4ad55ff05e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setUUID</b> (BLEUUID l_uuid)</td></tr>
<tr class="separator:a32c05e816a38f73069d62a4ad55ff05e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3a0386f73b9075accbe8f9ed936f2d1"><td class="memItemLeft" align="right" valign="top"><a id="ac3a0386f73b9075accbe8f9ed936f2d1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPower</b> (int8_t advertisedTxPower)</td></tr>
<tr class="separator:ac3a0386f73b9075accbe8f9ed936f2d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9240f3fdade5cf0a325f0f11ef157086"><td class="memItemLeft" align="right" valign="top"><a id="a9240f3fdade5cf0a325f0f11ef157086"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setURL</b> (std::string url)</td></tr>
<tr class="separator:a9240f3fdade5cf0a325f0f11ef157086"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Representation of a beacon. See: </p>
<ul>
<li><a href="https://github.com/google/eddystone">https://github.com/google/eddystone</a> </li>
</ul>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="BLEEddystoneURL_8h_source.html">BLEEddystoneURL.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
